<?php
$template = <<<END
<!-- block_step: ステップ -->
<section class="block_step">
<!--{def item/title}-->
<h2 class="normal">{val item/title}</h2>
<!--{/def}-->
<!--{def item/text}-->
<p class="markdown-body">{rval item/text}</p>
<!--{/def}-->
<div class="{val item/float} {val item/pos} {val item/mark}">
<!--{each item/list}-->
<!--{def item/list/step}-->
<div class="list-maru">
<!--{def item/list/image}-->
<figure><img src="user_data/{val item/list/image}" alt=""></figure>
<!--{/def}-->
<div class="text-maru">
<!--{def item/list/step}-->
<h3>{val item/list/step}</h3>
<!--{/def}-->
<!--{def item/list/text}-->
<div style="margin-top: 0.5em" class="markdown-body">{rval item/list/text}</div>
<!--{/def}-->
</div>
</div>
<!--{/def}-->
<!--{/each}-->
</div>
</section>
END;

$block_style = <<<END
END;

$block_step = array(
	"title" => "手順",
	"name" => "block_step",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
//	"stylesheet" => $block_style,	// 追加スタイルシート
	"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_step",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"text" => array(
			"title" => "説明",
			"type" => "textarea",
		),
		"pos" => array(
			"title" => "画像配置",
			"type" => "select",
			"list" => array(
				"img-right-maru" => "右側",
				"img-left-maru" => "左側",
			),
		),
		"float" => array(
			"title" => "テキスト回り込み",
			"type" => "select",
			"list" => array(
				"step-float-maru" => "あり",
				"step-maru" => "なし",
			),
		),
		"mark" => array(
			"title" => "マーク",
			"type" => "select",
			"list" => array(
				"" => "なし",
				"arrow-maru" => "あり",
			),
		),
		"dummy1" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step1" => array(
			"title" => "項目1",
			"type" => "text",
		),
		"text1" => array(
			"title" => "説明1",
			"type" => "textarea",
		),
		"image1" => array(
			"title" => "画像1",
			"type" => "image",
		),
		"dummy2" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step2" => array(
			"title" => "項目2",
			"type" => "text",
		),
		"text2" => array(
			"title" => "説明2",
			"type" => "textarea",
		),
		"image2" => array(
			"title" => "画像2",
			"type" => "image",
		),
		"dummy3" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step3" => array(
			"title" => "項目3",
			"type" => "text",
		),
		"text3" => array(
			"title" => "説明3",
			"type" => "textarea",
		),
		"image3" => array(
			"title" => "画像3",
			"type" => "image",
		),
		"dummy4" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step4" => array(
			"title" => "項目4",
			"type" => "text",
		),
		"text4" => array(
			"title" => "説明4",
			"type" => "textarea",
		),
		"image4" => array(
			"title" => "画像4",
			"type" => "image",
		),
		"dummy5" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step5" => array(
			"title" => "項目5",
			"type" => "text",
		),
		"text5" => array(
			"title" => "説明5",
			"type" => "textarea",
		),
		"image5" => array(
			"title" => "画像5",
			"type" => "image",
		),
		"dummy6" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step6" => array(
			"title" => "項目6",
			"type" => "text",
		),
		"text6" => array(
			"title" => "説明6",
			"type" => "textarea",
		),
		"image6" => array(
			"title" => "画像6",
			"type" => "image",
		),
		"dummy7" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step7" => array(
			"title" => "項目7",
			"type" => "text",
		),
		"text7" => array(
			"title" => "説明7",
			"type" => "textarea",
		),
		"image7" => array(
			"title" => "画像7",
			"type" => "image",
		),
		"dummy8" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step8" => array(
			"title" => "項目8",
			"type" => "text",
		),
		"text8" => array(
			"title" => "説明8",
			"type" => "textarea",
		),
		"image8" => array(
			"title" => "画像8",
			"type" => "image",
		),
		"dummy9" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step9" => array(
			"title" => "項目9",
			"type" => "text",
		),
		"text9" => array(
			"title" => "説明9",
			"type" => "textarea",
		),
		"image9" => array(
			"title" => "画像9",
			"type" => "image",
		),
		"dummy10" => array(
			"title" => " ",
			"type" => "comment",
		),
		"step10" => array(
			"title" => "項目10",
			"type" => "text",
		),
		"text10" => array(
			"title" => "説明10",
			"type" => "textarea",
		),
		"image10" => array(
			"title" => "画像10",
			"type" => "image",
		),
	),
	"repeat" => array(
		"step", "text", "image",
	),
);

block_add($block_step);
